### Method

# EDataServer Extensible list_extensions

since: 3.4

#### Declaration [src]

    GList*
    e_extensible_list_extensions (
      EExtensible* extensible,
      GType extension_type
    )

#### Description [src]

Returns a list of `EExtension` objects bound to `extensible` whose types are ancestors of `extension_type`. For a complete list of extension objects bound to `extensible`, pass `E_TYPE_EXTENSION`.

The list itself should be freed with g_list_free(). The extension objects are owned by `extensible` and should not be unreferenced.

Available since: 3.4

#### Parameters

`extension_type`

  Type: `GType`

  The type of extensions to list.

#### Return value

Type: A list of `None`

A list of extension objects derived from `extension_type`.

The caller of the method takes ownership of the returned data container, but not the data inside it.